cubes:
  - name: site
    sql_table: inventory_v2.site
    data_source: default

    joins: []

    dimensions:
      - name: id
        sql: id
        type: number
        primary_key: true

      - name: apiurl
        sql: "{CUBE}.`apiUrl`"
        type: string

      - name: consumerkey
        sql: "{CUBE}.`consumerKey`"
        type: string

      - name: consumersecret
        sql: "{CUBE}.`consumerSecret`"
        type: string

      - name: description
        sql: description
        type: string

      - name: name
        sql: name
        type: string

      - name: skuprefix
        sql: "{CUBE}.`skuPrefix`"
        type: string

      - name: token
        sql: token
        type: string

      - name: type
        sql: type
        type: string

      - name: webhook_url
        sql: webhook_url
        type: string

      - name: website_url
        sql: website_url
        type: string

    measures:
      - name: count
        type: count

    pre_aggregations:
      # Pre-aggregation definitions go here.
      # Learn more in the documentation: https://cube.dev/docs/caching/pre-aggregations/getting-started

